EKATARINA

PUNCH

Здравствуйте. Я конечно понимаю, что punch по сравнению с ProE детский лепет. Но иногда тоже возникают вопросы. Сделайте пожалуйста малюсенький подформ для таких как я.

И хотелось бы узнать может у кого нибудь есть инструкция к Linea5 на русском языке? Может кто скинет? :unsure:

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах


punch

Что это?

Процесс?

Программа?

Коктейль?

Петрушка?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Ну если ProE это пргорамма, то punch это программка. Он тоже что то может, у него есть свой набор утилит, настройки. Но все на английском. А хотелось бы иметь инструкцию на русском.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

зачем сразу подфорум? К тому же неизвестно_для_чего :)))

Если подобных страдальцев будет достаточно и ЭТА тема будет активно равиваться (не в сторону флейма), тогда, может быть...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

У нас в городе минимум на 3-х предприятиях работают в punch.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Инструкцию я на русском уже нашла. Но по поводу подфорума была бы вам очень признательно. Потому что зайдя на форум теряешься в обилии информации по ProE, а сообщения от таких как я страдальцев теряются в этом обилии и их очень тяжело распознать.

Так что пожалуйста рассмотрите мое предложение.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

EKATARINA

Давайте для начала посмотрим на активность пользователей в этой теме.

Что толку создавать раздел, если он будет пустовать.

И вы бы хоть какие-то конкретные вопросы задали, типа вот такая деталь вот здесь не punchуется....

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

EKATARINA

чтобы не теряться в обили и изобили, просто сохраните себе ссылочку на эту тему и используйте её :))

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

...вот такая деталь вот здесь не punchуется....

Мне понравилось :-), можно продолжить: не UGится, не CATIтся, не ProEцируется....

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

EKATARINA, а не могли бы еще раз выложить руководство по Punch5. Интересуют некоторые настройки, в частности автоматическая расстановка перемычек равных 0.5(по умолчанию 0.1)

Изменено пользователем Bigtatar

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

А что старая ссылка не работает? Странно :g: . А если вот так?

Если и так не получиться - пишите в личку, скину по почте.

Linea5_rukovodstvo.rar

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Спасибо, скачал. Кстати какой еще можно пользовать софт для листопробивных amada?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

cnckad

в cncKAD есть базовые постпроцессоры для многих станков, еще хороший автонестинг(автораскладка) деталей на листе с возможностью поворота на оптимальный угол, рекомендую. самв нем работаю

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Ктонибудь оставте ссылку на программу Linea 5 / Punch 5 или скинте на мыло mihalev_al@mail.ru

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Сомневаюсь, что у кого то есть крякнутый панч. У нас каждое рабочее место официально купленное вместе со спец. ключиком без которого эта програмка работать не будет. Мне кажется проще найти другую програмку с аналогичными возможностями. :smile:

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Сомневаюсь, что у кого то есть крякнутый панч. У нас каждое рабочее место официально купленное вместе со спец. ключиком без которого эта програмка работать не будет. Мне кажется проще найти другую програмку с аналогичными возможностями. :smile:

присоединяюсь "за" всеми конечностями!

у меня две чимсы.

для создания программ пользуемся:

1)МD3

2)PUNCH

3)DNC

Устал я от этой Linea5!!!

постоянные проблемы с запуском "панч", а сейчас вообще не работает.

при попытке запуска Linea5 выскакивает сообщение, что сервер не найден.

запускаю базу данных COMPUTES (CCDD), а она выдает, что такой сервер уже подключен......

как с этим бороться??????? :wallbash:

сущевствует ли какая либо альтернатива или крякнутый панч, если нет, то подскажите как с этим итальянским Г. управиться и работать в удовольствие, а не с нервотрепкой?????

Спасибо.

perecop@gala.net

Гриша

80684655425

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Сомневаюсь, что у кого то есть крякнутый панч. У нас каждое рабочее место официально купленное вместе со спец. ключиком без которого эта програмка работать не будет. Мне кажется проще найти другую програмку с аналогичными возможностями. :smile:

Создайте вместо ключа его симулятор и всё, у самого на работе так стоит и ещё на 3 компа размножили и всё работает отлично ...

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Хочу уточнить есть ли возможность перекидывать контур детали из Солида сразу же в Панч?

К примеру знаю что из Солида можно перекинуть в CNcKad. Когда обе системы стоят на компе в Солиде появляется меню где есть кнопка экспортировать в CNcKad. После нажатия деталь разворачивается согласно вытяжке материала и передается в развернутом состояние, остается только назначить обработку в CNcKad.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

В новой версии Punch может и можно. Там вроде есть модуль который интегрируется в SolidWorks.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Здравствуйте. Я конечно понимаю, что punch по сравнению с ProE детский лепет. Но иногда тоже возникают вопросы. Сделайте пожалуйста малюсенький подформ для таких как я.

И хотелось бы узнать может у кого нибудь есть инструкция к Linea5 на русском языке? Может кто скинет? :unsure:

Екатарина!, зачем Вам эти "пунчи"? -

смотрите сюда -

<noindex>http://www.hsmworks.biz/blog/index.php?filtertype=site&</noindex>

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте вместо ключа его симулятор и всё, у самого на работе так стоит и ещё на 3 компа размножили и всё работает отлично ...

Привет, не подскажете как создать симуляторы?

perecop@gala.net

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Спасибо, скачал. Кстати какой еще можно пользовать софт для листопробивных amada?

Lantek, FabriWin

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

помогите пжл новичку разобраться с панчем. и заодно с крп вулкан к1020. главная проблема: этот ленивый итальянец работает очень медленно, примерно 1 удар в секунду. как можно его разогнать?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

т.к. тема тонет повторяю свою просьбу: памагитеее!!!)))

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

помогите пжл новичку разобраться с панчем. и заодно с крп вулкан к1020. главная проблема: этот ленивый итальянец работает очень медленно, примерно 1 удар в секунду. как можно его разогнать?

А сделать заказ на обучение у того, кто продал программу? А обратиться в техподдержку к дилеру или производителю станка? Или Вы ждете чего-то другого при такой постановке вопроса? По-моему, напрасно... Или ищите помощи на коммерческой основе у специалистов в соответствующем разделе форума.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

А сделать заказ на обучение у того, кто продал программу? А обратиться в техподдержку к дилеру или производителю станка? Или Вы ждете чего-то другого при такой постановке вопроса? По-моему, напрасно... Или ищите помощи на коммерческой основе у специалистов в соответствующем разделе форума.

да, это самые очевидные действия, но они не выполнимы. дважды вызывали спеца от диллера, он знает меньше меня.

готов принять помощь на коммерческой основе. подскажите куда обратиться?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

да, это самые очевидные действия, но они не выполнимы. дважды вызывали спеца от диллера, он знает меньше меня.

готов принять помощь на коммерческой основе. подскажите куда обратиться?

Ну так по-моему Вам сюда <noindex>http://fsapr2000.ru/index.php?showforum=109</noindex> или м. б. на эту ветку заглянет соответствующий специалист.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

А что старая ссылка не работает? Странно :g: . А если вот так?

Если и так не получиться - пишите в личку, скину по почте.

Спасибо, пригодилось)))

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

ВЫРЕЗАНО

Изменено пользователем MFS
п. 15 - поиск вареза

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

я конечно понимаю что мне могут не ответить тут ибо тема померла, но другой темы по панчу я не нашел.

Подскажите пожалуйста:

1. Как включить перепозирование зажимов(пробивается весь лист кроме мест возле зажимов, потом зажимы сдвигаются и добиваются места на которых ранее находились зажимы)?

2. Пробивая окружность(большего радиуса имеющихся пуансов), станок начинает бить по краям отверстия, в результате чего "серединка" вылетает. Как сделать чтобы пробивание начиналось с середины?

3. Есть ли функция чтобы миркоперемычки для деталей назначались автоматически? А то приходится показывать каждой детали где у нее будет перемычка.

4. Вместе с программой давали лист бумаги где был нарисован: сам лист с разложенными на ней деталями; каждая деталь по отдельности со своими габаритами; расположение зажимов; время обработки листа и тд. Где это делается?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 11.11.2008 в 07:53, EKATARINA сказал:

А что старая ссылка не работает? Странно :g: . А если вот так?

Если и так не получиться - пишите в личку, скину по почте.

Linea5_rukovodstvo.rar

спасибо за руководство. прога слишком заморочестая.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

возможно, было бы хорошо увидеть единую ветку для CAD/CAM-системы TruTops, включающий модули CAD, Punch (пробивной), Nest (раскладка), Laser, Bend (гибка).

 

в общем и целом, программа, действительно заморочистая

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

И довольно редко используемая по сравнению с другими. Не стоит она целой ветки.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Здравствуйте. Пожалуйста помогите, как с'эмулировать ключ для Linea5 PUNCH. Стоит ключ DK2. 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 21.03.2010 в 19:45, prozora сказал:

Создайте вместо ключа его симулятор и всё, у самого на работе так стоит и ещё на 3 компа размножили и всё работает отлично ...

Подскажите пожалуйста какой там тип ключа просто HASP или Sentinel или Guardant или что еще?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Прошу извинить за обсуждения здесь вареза. Удалите пожалуйста мои сообщения 38 и 39 и это.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас

  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Реклама

  • Сообщения

    • Knight of Truth
      По Windows 7 - не знаю. На этой оси у нас обновления не тестировались - так как решили не тратить время и не пробовать снова эту отраву на вкус, ведь принцип действия патчей одинаков, не зависимо от операционной системы, а разработчики Microsoft по указу сверху могут добавлять новые компоненты этих патчей в любые обновления "стабильности" и "безопасности". Интересная информация: компания ASUS уже выкатила новые версии БИОС для своих материнских плат, где в процессор прошивается новый микрокод, устраняющий "уязвимости" системы. Подозреваю, что там припасено дополнительное урезание мощности компьютерного железа.
    • soklakov
      у Ансиса есть старый курс " Aeroacoustics using ANSYS Fluent 14.5 ".   сам не читал, но говорят там довольно понятно всё.
    • Борман
    • Tad
      По поводу дрожания - надо развоздушить систему. Если воздух не обнаружится - пробовать немного уменьшить коэффициент усиления ПИД регулятора осей Y при рабочей скорости. По поводу отключения - мало информации.
    • soklakov
      Крайне интересно. Правильно ли я понял, что Ваша софтина умеет прикладывать нагрузки к кубику, не спрашивая меня, какую из шести граней закрепить, а какую нагрузить? Если так, то тревожит вопрос: откуда она знает?
    • soklakov
      Подробностей? А то и правда, секретный танк, о котором ученые еще ничего не знают, работает при -300 по цельсию.
    • Sla_68
      Можете меня обзывать как хотите, быдло-кодером ну и т.д. Ну хоть убейте меня , я не знаю как выполнить данную задачу без дополнительных построений.  А так код вполне себе рабочий.Определяет все что мне нужно. Только что написал. Выкладываю код. Там имеется еще наборчик пользовательских функций. Но они все тригонометрические. Поэтому пока без них. Sub Назначение_свойств_профиля() 'On Error GoTo ex Dim swFace As SldWorks.face2 Dim swSurf As SldWorks.Surface Dim swDisplayDimension As SldWorks.DisplayDimension Dim swDim As SldWorks.Dimension Dim v1 As SldWorks.Vertex Dim v2 As SldWorks.Vertex Dim swRefAxis As SldWorks.RefAxis Dim vAxisParam As Variant Dim x As Double Dim y As Double Dim z As Double Dim x1 As Double Dim y1 As Double Dim z1 As Double Dim fx As Double Dim fy As Double Dim fz As Double Dim fx1 As Double Dim fy1 As Double Dim fz1 As Double Dim sm() As Double Dim swFeatMgr As SldWorks.FeatureManager Set swApp = Application.SldWorks Set part = swApp.ActiveDoc Set swFeatMgr = part.FeatureManager Set swSelMgr = part.SelectionManager part.SketchManager.AddToDB = True swApp.SetUserPreferenceToggle swSketchAutomaticRelations, False 'автопривязки отключаем swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInference, False 'прилипание ..отключает все взаимосвязи swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swInputDimValOnCreate, False 'убивает диалог с размером false -выключает диалог tt = part.GetTitle mg = Mid(tt, 10, 2) lRetVal = part.AddCustomInfo3("", "материал", swCustomInfoText, mg) partTitle = part.GetTitle namedetal = partTitle & ".SLDPRT" arrbody = part.GetBodies2(swSolidBody, False) Set body = arrbody(0) glavfaces = вернуть_номера_главных_плоскостей(body) Set swFace = glavfaces(2) Set swSurf = swFace.GetSurface '======================================================== If swSurf.IsPlane Then edjearr = вернуть_2_главных_кромки(swFace1) Set Edge = edjearr(2) params = Edge.GetCurveParams2 x1 = params(0): x2 = params(3): an1 = x1 - x2: bn1 = x2 - x1 'вектор оси y1 = params(1): y1 = params(4): an2 = y1 - y2: bn2 = y2 - y1 z1 = params(2): z1 = params(5): an3 = z1 - z2: bn3 = z2 - z1 pvec = перпендикулярный_вектор(an1, an2, an3) Set axeobj = Edge Set faceObj = swFace ElseIf swSurf.IsCylinder Then params = swFace.GetSurface.CylinderParams x1 = params(0): x2 = params(3): an1 = x1 - x2: bn1 = x2 - x1 'вектор оси y1 = params(1): y1 = params(4): an2 = y1 - y2: bn2 = y2 - y1 z1 = params(2): z1 = params(5): an3 = z1 - z2: bn3 = z2 - z1 pvec = перпендикулярный_вектор(an1, an2, an3) part.Insert3DSketch2 True 'вход строим 3 точки для плоскости Set swSketch = swApp.ActiveDoc.GetActiveSketch2 swSketch.Name = "точка" загрузочная_точка_смещена 0.1, (x1 + x2) / 2, (y1 + y2) / 2, (z1 + z2) / 2, pvec(0), pvec(1), pvec(2), fx0, fy0, fz0 Set swSketchPt0 = part.SketchManager.CreatePoint(fx0, fy0, fz0) part.Insert3DSketch2 True 'выход part.BlankSketch 'скрывает эскизы swSketchPt0.SelectByMark False, 2 swFace.SelectByMark True, 2 bret = part.InsertAxis 'вставка оси Set swFeatMgr = part.FeatureManager swFeatures = swFeatMgr.GetFeatures(True) Set axeobj = swFeatures(UBound(swFeatures)) 'ось axeobj.Name = "ось профиля" axeobj.SelectByMark False, 2 swSketchPt0.SelectByMark True, 2 Set faceObj = part.CreatePlaneThruLineAndPt(False) 'создает плоскость faceObj.Name = "плоскость распила" faceObj.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.BlankRefGeom Else Exit Sub End If '=============================================== загрузочная_точка_смещена 3, x1, y1, z1, an1, an2, an3, fx1, fy1, fz1 'точки оси загрузочная_точка_смещена 3, x2, y2, z2, bn1, bn2, bn3, fx2, fy2, fz2 'точки оси загрузочная_точка_смещена 0.1, fx1, fy1, fz1, pvec(0), pvec(1), pvec(2), fx11, fy11, fz11 'точки будущих линий2 загрузочная_точка_смещена 0.1, fx2, fy2, fz2, pvec(0), pvec(1), pvec(2), fx22, fy22, fz22 'точки будущих линий2 '==================================================== faceObj.SelectByMark False, 2 part.SketchManager.InsertSketch True 'вставка 2D эскиза на рабочей плоскости Set swSketch = swApp.ActiveDoc.GetActiveSketch2 swSketch.Name = "контур_распила" Dim swMathPt1 As SldWorks.MathPoint Dim swMathPt11 As SldWorks.MathPoint Dim swMathPt111 As SldWorks.MathPoint Dim swMathPt2 As SldWorks.MathPoint Dim swMathPt22 As SldWorks.MathPoint Dim swMathPt222 As SldWorks.MathPoint Set swMathPt1 = get2Dpoint(swSketch, fx1, fy1, fz1) Set swMathPt11 = get2Dpoint(swSketch, fx11, fy11, fz11) Set swMathPt2 = get2Dpoint(swSketch, fx2, fy2, fz2) Set swMathPt22 = get2Dpoint(swSketch, fx22, fy22, fz22) Set skSegment1 = part.SketchManager.CreateCenterLine _ (swMathPt1.ArrayData(0), swMathPt1.ArrayData(1), swMathPt1.ArrayData(2), _ swMathPt11.ArrayData(0), swMathPt11.ArrayData(1), swMathPt11.ArrayData(2)) skSegment1.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.SketchAddConstraints "sgPERPENDICULAR" Set skSegment2 = part.SketchManager.CreateCenterLine _ (swMathPt2.ArrayData(0), swMathPt2.ArrayData(1), swMathPt2.ArrayData(2), _ swMathPt22.ArrayData(0), swMathPt22.ArrayData(1), swMathPt22.ArrayData(2)) skSegment2.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.SketchAddConstraints "sgPERPENDICULAR" '======================================================================================== Set v1 = ближайшая_вершина_к_координате(body, fx1, fy1, fz1, vdis1) Set Edge1 = ближайшая_кромка_к_координате(body, fx1, fy1, fz1, edis1) Set v2 = ближайшая_вершина_к_координате(body, fx2, fy2, fz2, vdis2) Set edge2 = ближайшая_кромка_к_координате(body, fx2, fy2, fz2, edis2) '=================================== If vdis1 <= edis1 Then v1.SelectByMark False, 2 Set swStartPt1 = skSegment1.GetStartPoint2 swStartPt1.SelectByMark True, 2 part.SketchAddConstraints "sgCOINCIDENT" Else Edge1.SelectByMark False, 2 skSegment1.SelectByMark True, 2 part.SketchAddConstraints "sgTANGENT" part.SketchAddConstraints "sgCOLINEAR" End If '================= If vdis2 <= edis2 Then v2.SelectByMark False, 2 Set swStartPt2 = skSegment2.GetStartPoint2 swStartPt2.SelectByMark True, 2 part.SketchAddConstraints "sgCOINCIDENT" Else edge2.SelectByMark False, 2 skSegment2.SelectByMark True, 2 part.SketchAddConstraints "sgTANGENT" part.SketchAddConstraints "sgCOLINEAR" End If '===================================== skSegment1.SelectByMark False, 2 skSegment2.SelectByMark True, 2 Set swDisplayDimension = part.AddDimension2(0, 0, 0) Set swDim = swDisplayDimension.GetDimension swDim.DrivenState = 1 swDim.Name = "длина" dlina = """длина@контур_распила@@default@" & namedetal & """" shirina = "1" lRetVal = part.DeleteCustomInfo2("", "длина") lRetVal = part.DeleteCustomInfo2("", "ширина") lRetVal = part.AddCustomInfo3("", "длина", swCustomInfoText, dlina) lRetVal = part.AddCustomInfo3("", "ширина", swCustomInfoText, shirina) part.SketchManager.InsertSketch True 'выход из эскиза part.BlankSketch ' скрыть эскиз part.SketchManager.AddToDB = False swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInference, True 'прилипание ..отключает все взаимосвязи swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swInputDimValOnCreate, True 'убивает диалог с размером true -включает диалог swApp.SetUserPreferenceToggle swSketchAutomaticRelations, True 'автопривязки включаем End Sub Function ближайшая_вершина_к_координате(body, x, y, z, dis) vList = body.GetVertices Dim arr() As Double Dim edjpoint As Variant Dim arrobj() As Object Dim arrobjdis() As Double If IsEmpty(vList) Then dis = 1000000 Set ближайшая_вершина_к_координате = Nothing Exit Function End If For i = 0 To UBound(vList) edjpoint = vList(i).GetClosestPointOn(x, y, z) 'ближайшая точка ReDim Preserve arr(i) 'массив дистанций ReDim Preserve arrobj(i) arr(i) = длина_линии(x, y, z, edjpoint(0), edjpoint(1), edjpoint(2)) Set arrobj(i) = vList(i) Next i max_min_indexarray arr, max1n, max2n, min1n, min2n dis = arr(min1n) Set ближайшая_вершина_к_координате = arrobj(min1n) End Function Function ближайшая_кромка_к_координате(body, x, y, z, dis) edgeList = body.GetEdges Dim arr() As Double Dim edjpoint As Variant Dim arrobj() As Object Dim arrobjdis() As Double For i = 0 To UBound(edgeList) edjpoint = edgeList(i).GetClosestPointOn(x, y, z) 'ближайшая точка ReDim Preserve arr(i) 'массив дистанций ReDim Preserve arrobj(i) arr(i) = длина_линии(x, y, z, edjpoint(0), edjpoint(1), edjpoint(2)) Set arrobj(i) = edgeList(i) Next i max_min_indexarray arr, max1n, max2n, min1n, min2n dis = arr(min1n) Set ближайшая_кромка_к_координате = arrobj(min1n) End Function Sub max_min_indexarray(mass, max1n, max2n, min1n, min2n) 'сортировка и удаление повторов в массиве max1n = 0 max2n = 0 min1n = 0 min2n = 0 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) > max1 Then max1 = CDbl(mass(i)) Next i max2 = 0 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) = max1 Then max1n = i Exit For End If Next i For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) > max2 And i <> max1n Then max2n = i max2 = mass(i) End If Next i ''''''''''''''''''''''''''''''''''''''''''''''''''обратная min1 = max1 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) < min1 Then min1 = CDbl(mass(i)) Next i min2 = max1 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) = min1 Then min1n = i Exit For End If Next i For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) < CDbl(min2) And i <> min1n Then min2n = i min2 = CDbl(mass(i)) End If Next i End Sub  
    • vad0000
      В первую очередь выкладывайте машинные параметры станка. 
    • Nevskiyalexxx
      Так то лучше вместо planarа несколько Z-levelов создать - он и припуск будет видеть и деталь гарантированно не зарежет.
    • lexincton
      Поменял вывод инструмента в событии начала траектории Прописать статично эту строку перед инструментом